Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.treetable
Class DefaultMutableTreeTableNode

    java.lang.Object
      org.jdesktop.swingx.treetable.AbstractMutableTreeTableNode
          org.jdesktop.swingx.treetable.DefaultMutableTreeTableNode

All Implemented Interfaces:
  javax.swing.tree.TreeNode, MutableTreeTableNode, TreeTableNode

    public class DefaultMutableTreeTableNode

extends AbstractMutableTreeTableNode

A default implementation of an `AbstractMutableTreeTableNode` that returns `getUserObject().toString()` for all value queries. This implementation is designed mainly for testing. It is NOT recommended to use this implementation. Any user that needs to create `TreeTableNode`s should consider directly extending `AbstractMutableTreeTableNode` or directly implementing the interface.

Author:
  Karl Schaefer

Field Summary

Fields inherited from class org.jdesktop.swingx.treetable.AbstractMutableTreeTableNode
`allowsChildren, children, parent, userObject`

Constructor Summary
`DefaultMutableTreeTableNode()`
`DefaultMutableTreeTableNode(java.lang.Object userObject)`
`DefaultMutableTreeTableNode(java.lang.Object userObject, boolean allowsChildren)`

Method Summary
`int` | `getColumnCount()` Returns the number of columns supported by this `TreeTableNode`.
`java.lang.Object` | `getValueAt(int column)` Gets the value for this node that corresponds to a particular tabular column.
`boolean` | `isEditable(int column)` Determines whether the specified column is editable.
`void` | `setValueAt(java.lang.Object aValue, int column)` Sets the value for the given `column`.

Methods inherited from class org.jdesktop.swingx.treetable.AbstractMutableTreeTableNode
`add, children, createChildrenList, getAllowsChildren, getChildAt, getChildCount, getIndex, getParent, getUserObject, insert, isLeaf, remove, remove, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultMutableTreeTableNode

    public DefaultMutableTreeTableNode()

### DefaultMutableTreeTableNode

    public DefaultMutableTreeTableNode(java.lang.Object userObject)

Parameters:
  `userObject` -

### DefaultMutableTreeTableNode

    public DefaultMutableTreeTableNode(java.lang.Object userObject,
                                       boolean allowsChildren)

Parameters:
  `userObject` -
  `allowsChildren` -

Method Detail

### getValueAt

    public java.lang.Object getValueAt(int column)

  Gets the value for this node that corresponds to a particular tabular column.

  Parameters:
    `column` - the column to query
  Returns:
    the value for the queried column

### getColumnCount

    public int getColumnCount()

  Returns the number of columns supported by this `TreeTableNode`.

  Returns:
    the number of columns this node supports

### isEditable

    public boolean isEditable(int column)

  Determines whether the specified column is editable.

  Specified by:
    `isEditable` in interface `TreeTableNode`
  Overrides:
    `isEditable` in class `AbstractMutableTreeTableNode`
  Parameters:
    `column` - the column to query
  Returns:
    always returns `false`

### setValueAt

    public void setValueAt(java.lang.Object aValue,
                           int column)

  Sets the value for the given `column`.

  Specified by:
    `setValueAt` in interface `TreeTableNode`
  Overrides:
    `setValueAt` in class `AbstractMutableTreeTableNode`
  Parameters:
    `aValue` - the value to set
    `column` - the column to set the value on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.